## GnlSource GnlSource — Manages source elements |

## Synopsis

                        GnlSource;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----GnlObject
                                     +----GnlSource
                                           +----GnlURISource

## Implemented Interfaces

GnlSource implements GstChildProxy.

## Description

The GnlSource encapsulates a pipeline which produces data for processing in a GnlComposition.

## Synopsis

### Element Information

plugin | gnonlin
author | Wim Taymans <wim.taymans@gmail.com>, Edward Hervey <bilboed@bilboed.com>
class | Filter/Editor

### Element Pads

name | src
direction | source
presence | sometimes
details | ANY

## Details

### GnlSource

    typedef struct _GnlSource GnlSource;